Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class ShellDefinition

    java.lang.Object
      com.bea.netuix.application.definition.ShellDefinition

All Implemented Interfaces
  DateableDefinition, Serializable

    public class ShellDefinition

extends Object
implements DateableDefinition, Serializable

This class represents a persistent shell. Themes are persisted through the customization API or by creating .theme files and placing them in the webapp.

See Also
  Serialized Form

Constructor Summary
`ShellDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String webAppName, String shellFile, boolean deleted)` Constructor to create a new `ShellDefinition` object.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this shell.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `ShellDefinition` based on the locale of the request used for retrieving the `ShellDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this shell.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`ShellDefinitionId` | `getShellDefinitionId()` Returns the `ShellDefinitionId` for this shell.
`String` | `getShellFile()` Returns the path to the shell file for this shell.
`String` | `getWebAppName()` Returns the name of the J2EE web application this shell is scoped to.
`boolean` | `isDeleted()` Returns whether this shell is deleted.
`void` | `setDeleted(boolean deleted)` Sets whether this shell is deleted
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this shell.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this shell.
`void` | `setShellFile(String shellFile)` Sets the shell file path for this shell.
`void` | `setWebAppName(String webAppName)` Scopes this shell to specified J2EE web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShellDefinition

    public ShellDefinition(LocalizationResource localizationResource,
                           MarkupDefinitionId markupDefinitionId,
                           String webAppName,
                           String shellFile,
                           boolean deleted)

  Constructor to create a new `ShellDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this shell
    `webAppName` - name of the J2EE web application this shell is scoped to
    `shellFile` - path to the shell file. This path is relative to the web application context
    `deleted` - if this shell has been deleted

Method Detail

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

  Returns the `ShellDefinitionId` for this shell. Returns null when the ShellDefinition has not been retrieved by using the persistence API.

  Returns
    `ShellDefinitionId` for this shell

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this shell. Returns null if no LocalizationResource is associated with this shell. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this shell

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `ShellDefinition` based on the locale of the request used for retrieving the `ShellDefinition`.

  Returns
    `LocalizationResource` associated with this shell

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this shell.

  Parameters
    `localizationResource` -

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this shell.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this shell.

  Parameters
    `markupDefinitionId` -

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this shell is scoped to.

  Returns
    name of web application

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this shell to specified J2EE web application

  Parameters
    `webAppName` - name of the web application to scope this shell to

### getShellFile

    public String getShellFile()

  Returns the path to the shell file for this shell. This path is relative to the web application context.

  Returns
    shell file path

### setShellFile

    public void setShellFile(String shellFile)

  Sets the shell file path for this shell.

  Parameters
    `shellFile` -

### isDeleted

    public boolean isDeleted()

  Returns whether this shell is deleted.

  Returns
    true if this shell is deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this shell is deleted

  Parameters
    `deleted` -

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved